@echo off
if "%OS%" == "Windows_NT" setlocal
rem ---------------------------------------------------------------------------
rem Start JobServer environment includes webserver, database server (if HSQL) 
rem and jobserver container
rem 
rem 2002/10/04  Grand Logic, Inc
rem ----------------------------------------------------------------------------

rem jsstartup <-background> <-nopause>

set BACKGROUND=false
set NOPAUSE=false

:keepLooping
if not "%1" == "-background" goto testParam1
set BACKGROUND=true

:testParam1
if not "%1" == "-nopause" goto testParam2
set NOPAUSE=true

:testParam2
shift /1
if "%1" == "" goto letsgo
goto keepLooping

:letsgo

if "%JOBSERVER_HOME%" == "" goto guessIt
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome

:guessIt
set JOBSERVER_HOME=.
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
rem Try to guess what JOBSERVER_HOME is
set JOBSERVER_HOME=..

if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set JOBSERVER_HOME=..\..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo  The JOBSERVER_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto end

:okHome
call "%JOBSERVER_HOME%\conf\system-config.bat"
if exist "%JAVA_HOME%\bin\java.exe" goto okExec
echo  The JAVA_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto end

:okExec

call "%JOBSERVER_HOME%\bin\toolbin\startupcheck"
set ENVCHECK=%ERRORLEVEL%

if NOT "%ENVCHECK%" == "1" goto nextCheck1
rem Trouble creating system info file
echo  Exiting........
goto end   

:nextCheck1
if NOT "%ENVCHECK%" == "2"  goto nextCheck2
rem License Not Valid
echo  Exiting........
goto end

:nextCheck2
if NOT "%ENVCHECK%" == "4"  goto nextCheck3
rem Error: Database Not Found
echo  Exiting........
goto end

:nextCheck3

set EXEC_START_DB=%JOBSERVER_HOME%\bin\toolbin\startdb.bat
set EXEC_START_JS=%JOBSERVER_HOME%\bin\toolbin\startjs.bat
set EXEC_START_WEB=%JOBSERVER_HOME%\bin\toolbin\startweb.bat

echo.
echo  Preparing to Startup JobServer Environment.....................


if "%dbHost%" == "" goto action1
goto action2
:action1
call "%EXEC_START_DB%"
call "%JOBSERVER_HOME%\bin\toolbin\sleep" 3
:action2


if "%dbHost%" == "" goto action3
call "%JOBSERVER_HOME%\bin\jsmonitor" -dbheartbeat > nul
set ENVCHECK=%ERRORLEVEL%

if "%ENVCHECK%" == "1" goto noremoteDB
echo  Remote Database Detected
goto action3
:noremoteDB
echo  Remote Database NOT Detected
goto end

:action3

for /F "usebackq" %%i IN (`hostname`) DO set jshost=%%i
set JS_SERVER_HOSTNAME=%jshost%
if "%JOBSERVER_HOSTNAME%" == "" goto stepLocalhost
set JS_SERVER_HOSTNAME=%JOBSERVER_HOSTNAME%
:stepLocalhost

if "webletModeOnly" == "true" goto skipJS
if "%dbHost%" == "" goto startJS
if "%primarySchedServer%" == "" goto startJS
if "%primarySchedServer%" == "%JS_SERVER_HOSTNAME%" goto startJS
if "%secondarySchedServer%" == "%JS_SERVER_HOSTNAME%" goto startJS
goto skipJS
:startJS
call "%EXEC_START_JS%"
call "%JOBSERVER_HOME%\bin\toolbin\sleep" 1

:skipJS

call "%EXEC_START_WEB%" %USE_SSL%

echo  ............JobServer Environment Ready
echo.

:end

if "%NOPAUSE%" == "true" goto realEnd
pause

:realEnd
